version: '3'

services:
  # wait:
  #   image: jk/wait-test
  #   networks:
  #     - net1
  #   # depends_on:
  #     # - my-mysql
  #   command: ["./wait-for-it.sh", "my-mysql:3306"]

  # docker run -dti --network net --name ba -p 8000:8000 jakubknast/beer-api
  beer-api:
    image: jakubknast/beer-api
    container_name: beer-api
    ports:
      - "8000:8000"
    networks:
      - net1
    depends_on:
      - db
    command: ["./wait-for-it.sh", "--timeout=30", "db:3306", "--", "java", "-jar", "/app.jar"]
    
  #docker run -dti --network net --name bu -p 8888:80 jakubknast/beer-ui
  beer-ui:
    image: jakubknast/beer-ui
    container_name: beer-ui
    ports:
      - "8888:80"
    networks:
      - net1

  # #docker run -dti --rm --network net --name my -e MYSQL_ALLOW_EMPTY_PASSWORD=true -p 3306:3306 mysql:5.7
  # my-mysql:
  #   image: quay.io/perriea/alpine-mysql
  #   container_name: my-mysql
  #   expose:
  #     - "3306"
  #   ports:
  #     - "3306:3306"
  #   networks:
  #     - net1
  #   environment:
  #     MYSQL_ALLOW_EMPTY_PASSWORD: "true"



#docker run -dit --network net --name db -p 3306:3306 -v $(pwd):/app -e MYSQL_DATABASE=test -e MYSQL_USER=test -e MYSQL_PASSWORD=test -e MYSQL_ROOT_PASSWORD=test quay.io/perriea/alpine-mysql
  db:
    image: quay.io/perriea/alpine-mysql
    container_name: db
    expose:
      - "3306"
    ports:
      - "3306:3306"
    networks:
      - net1
    environment:
      MYSQL_DATABASE: "test"
      MYSQL_USER: "test"
      MYSQL_PASSWORD: "test"
      MYSQL_ROOT_PASSWORD: "test"
networks:
  net1:

#docker cp my-mysql:/etc/mysql/mysql.conf.d/mysqld.cnf .
#innodb_buffer_pool_size=64M

#docker cp mysqld.cnf my-mysql:/etc/mysql/mysql.conf.d/mysqld.cnf
